Subject: Re: bug#4789: use bootstrap-emacs to build emacs/leim directory, load emacs/leim/leim-list.el to loadup.el

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Apr 2012 11:31:14 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 09 Apr 2012 03:59:42 -0400
> 
> Eli Zaretskii wrote:
> 
> > Is there any special reason to do that with bootstrap-emacs and not
> > with a "normal" emacs? 
> 
> So that leim-list can be included in the dumped emacs executable.

But you need to do this again whenever Emacs is rebuilt, not just at
bootstrap time.  Right?  Are you relying on the fact that on Posix
hosts bootstrap-emacs and emacs are (currently) the same executable,
and that bootstrap-emacs is generated even when no bootstrap is
necessary, like when building a released tarball?

> > I'm asking because there's no bootstrap-emacs on Windows.
> 
> Oh. Then I guess I mean whatever executable is used to compile the lisp
> files from loadup.el on MS Windows.

So you just need _any_ emacs executable capable of code that generates
leim-list.el, is that right?

> Basically, I want to load leim-list.el in loadup.el, so it needs to be
> generated before loadup.el is read. Similar to loaddefs.el and
> ldefs-boot.el, except with no leim-boot.el being needed (I guess; I see
> I haven't thought this bit through!).

Well, the actual intent of my question was to see if we need to
discuss the design of this some more ;-)

Thanks.